#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <tchar.h>
#include <commctrl.h>
#include "resource.h"

HBRUSH g_hbPozadi;
HINSTANCE g_hInst;
LOGFONT logFont;
HFONT hfNadpis;

INT_PTR CALLBACK DialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch ( uMsg )
	{
		case WM_COMMAND:
			switch ( LOWORD(wParam) )
			{
				case IDOK:
				case IDCANCEL:
					DeleteObject(g_hbPozadi);
					EndDialog(hwndDlg, LOWORD(wParam));
					break;
			}
			break;
		case WM_CTLCOLORDLG:
			SetBkMode((HDC)wParam, TRANSPARENT);
			return (INT_PTR)g_hbPozadi;
			break;
		case WM_CTLCOLORLISTBOX:
			SetBkMode((HDC)wParam, TRANSPARENT);
			SetTextColor((HDC)wParam, 0x00FFA0A0);
			return (INT_PTR)g_hbPozadi;
		case WM_CTLCOLOREDIT:
			SetTextColor((HDC)wParam, 0x00FFFFFF);
			SetBkMode((HDC)wParam, TRANSPARENT);
			if ( (HWND)lParam == GetDlgItem(hwndDlg, IDC_EDIT2))
				SetTextColor((HDC)wParam, 0x00D0A0A0FF);
			return (INT_PTR)g_hbPozadi;
			break;
		case WM_CTLCOLORSTATIC:
			if ( (HWND)lParam == GetDlgItem(hwndDlg, IDC_NADPIS))
				SetTextColor((HDC)wParam, 0x00A0FFFF);
			else
				SetTextColor((HDC)wParam, 0x00FFFFA0);
			SetBkMode((HDC)wParam, TRANSPARENT);
			return (INT_PTR)g_hbPozadi;
			break;
		case WM_INITDIALOG:
			g_hbPozadi = CreatePatternBrush(LoadBitmap(g_hInst, MAKEINTRESOURCE(IDB_POZADI)));
			GetObject(GetStockObject(DEFAULT_GUI_FONT), sizeof(logFont), &logFont);
			logFont.lfHeight = -22;
			logFont.lfItalic = TRUE;
			lstrcpy(logFont.lfFaceName, TEXT("Times New Roman"));
			hfNadpis = CreateFontIndirect(&logFont);
			SendDlgItemMessage(hwndDlg, IDC_NADPIS, WM_SETFONT, (WPARAM)hfNadpis, (LPARAM)TRUE);
			SendMessage(GetDlgItem(hwndDlg, IDC_LIST1), LB_ADDSTRING, 0, (LPARAM)TEXT("1. dek list-boxu"));
			SendMessage(GetDlgItem(hwndDlg, IDC_LIST1), LB_ADDSTRING, 0, (LPARAM)TEXT("2. dek list-boxu"));
			SendMessage(GetDlgItem(hwndDlg, IDC_LIST1), LB_ADDSTRING, 0, (LPARAM)TEXT("3. dek list-boxu"));
			SendMessage(GetDlgItem(hwndDlg, IDC_LIST1), LB_ADDSTRING, 0, (LPARAM)TEXT("4. dek list-boxu"));
			SendMessage(GetDlgItem(hwndDlg, IDC_LIST1), LB_ADDSTRING, 0, (LPARAM)TEXT("5. dek list-boxu"));
			break;
	}	
	return FALSE;
}



int WINAPI _tWinMain(HINSTANCE hInstance,	HINSTANCE hPrevInstance,
	LPTSTR lpCmdLine, int nCmdShow)
{
	g_hInst = hInstance;
	InitCommonControls();
	return (int)DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG_HLAVNI), NULL,
		(DLGPROC)DialogProc);
}